package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description :工作输出
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_WORK_OUTPUT")
@Api("工作输出")
public class WorkOutput extends BaseAPS {
    @Column(name="OUTPUT_TIME")
    @ApiParam(value ="输出时间")
    private Date outputTime;

    @Column(name="OUTPUT_COUNT")
    @ApiParam(value ="输出数量")
    private Double outputCount;

    @Column(name="REMAIN_COUNT")
    @ApiParam(value ="多余数量")
    private Double remainCount;
}
