package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseCode;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description :工艺路线
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_PRODUCTROUTING")
@Api("物料")
public class ProductRouting extends BaseCode {
    @Column(name="VALID_START")
    @ApiParam(value ="有效开始时间")
    private Date validStart;

    @Column(name="VALID_END")
    @ApiParam(value ="有效结束时间")
    private Date validEnd;

    @Column(name="PRIORITY")
    @ApiParam(value ="优先级")
    private Integer priority;
}
